org.apache.ignite.internal.portable.api

## Interface PortableMetadata

All Known Implementing Classes:
  PortableMetaDataImpl

    public interface PortableMetadata

Portable type meta data. Metadata for portable types can be accessed from any of the `IgnitePortables.metadata(String)` methods. Having metadata also allows for proper formatting of `PortableObject#toString()` method, even when portable objects are kept in binary format only, which may be necessary for audit reasons.

### Method Summary

Methods
`String` `affinityKeyFieldName()` Portable objects can optionally specify custom key-affinity mapping in the configuration.
`Collection<String>` `fields()` Gets collection of all field names for this portable type.
`String` `fieldTypeName(String fieldName)` Gets name of the field type for a given field.
`String` `typeName()` Gets portable type name.

### Method Detail

#### typeName

    String typeName()

Gets portable type name.

Returns:
  Portable type name.

#### fields

    Collection<String> fields()

Gets collection of all field names for this portable type.

Returns:
  Collection of all field names for this portable type.

#### fieldTypeName

    @Nullable
    String fieldTypeName(String fieldName)

Gets name of the field type for a given field.

Parameters:
  `fieldName` - Field name.
Returns:
  Field type name.

#### affinityKeyFieldName

    @Nullable
    String affinityKeyFieldName()

Portable objects can optionally specify custom key-affinity mapping in the configuration. This method returns the name of the field which should be used for the key-affinity mapping.

Returns:
  Affinity key field name.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015